Get list of documents in workflow
GET/workflows/:workflowId/documents
List documents in Workflow; available as an Add-On Module
Request
Path Parameters
Workflow Identifier
Query Parameters
Site Identifier
Limit Results
10Next page of results token
Responses
- 200
200 OK
Response Headers
Access-Control-Allow-Origin
string
Access-Control-Allow-Methods
string
Access-Control-Allow-Headers
string
- application/json
- Schema
- Example (from schema)
Schema
Array [
Array [
]
]
Next page of results token
documents
object[]
List of workflow documents
Site Identifier
Path or Name of document
Document Content Width property
Document Content Height property
Path or Name of deep link
Document resource type
Possible values: [DOCUMENT, DOSSIER, DEEP_LINK]
Inserted Timestamp
Last Modified Timestamp
Soft Deleted Timestamp
Document checksum, changes when document file changes
The type of checksum to use for file validation
Possible values: [SHA1, SHA256, SHA512]
Document Identifier
Artifact Identifier
Promoted Artifact Identifier
Artifact Category
Whether the document has artifact documents
Document Content-Type
User who added document
Document size
Document version
Document Version Identifier
Document storage version
Parent Document Identifier
metadata
object[]
List of document Metadata
Metadata key
Metadata value
Metadata values
{
"next": "string",
"documents": [
{
"siteId": "string",
"path": "string",
"width": "string",
"height": "string",
"deepLinkPath": "string",
"resourceType": "DOCUMENT",
"insertedDate": "string",
"lastModifiedDate": "string",
"deletedDate": "string",
"checksum": "string",
"checksumType": "SHA1",
"documentId": "string",
"artifactId": "string",
"promotedArtifactId": "string",
"artifactCategory": "string",
"hasArtifacts": true,
"contentType": "string",
"userId": "string",
"contentLength": 0,
"version": "string",
"versionKey": "string",
"s3version": "string",
"belongsToDocumentId": "string",
"metadata": [
{
"key": "string",
"value": "string",
"values": [
"string"
]
}
]
}
]
}